Verschiedene RPM-Optionen(8)

NAME rpm - seltener benötigte Optionen für rpm(8)

OPTIONEN

--predefine='MAKRO AUSDRUCK'
    Definiert das MAKRO mit dem Wert AUSDRUCK vor dem Laden der Makrodateien.

Abschaltungsfunktionen

--color [never|auto|always]
    verwendet die Terminalfarben zum Hervorheben von Fehlern und Debug-Meldungen. Vorgabe ist das Einschalten der Farben nur für TTYs (auto).

--nocontexts Deaktiviert das SELinux-Plugin, sofern verfügbar. Dadurch
    wird verhindert, dass über das Plugin SELinux-Kontexte für Dateien und Skriptlets gesetzt werden können.

--noglob
    »globbt« keine Argumente beim Installieren von Paketdateien.

--nocaps
    überprüft die Fähigkeiten von Dateien nicht.

--excludeconfigs, --noconfigs
    installiert keine Konfigurationsdateien.

--nohdrchk
    überprüft beim Empfang keine Datenbank-Kopfzeile(n).

Debugging

-d, --debug
    gibt Informationen zum Debugging aus.

--deploops
    gibt Warnungen zu Abhängigkeitsschleifen aus.

--fsmdebug
    gibt Debugging-Informationen zum Code für den Umgang mit Nutzdaten aus.

--rpmfcdebug
    gibt Debugging-Informationen über die paketierten Dateien aus.

--rpmiodebug
    gibt Debugging-Informationen über Datei-E/A aus.

--stats
    gibt Laufzeitstatistiken häufig benutzter Funktionen aus.

Veraltete Optionen

-K, --checksig
    sieht und verwendet rpmkeys(8).

--nodocs
    installiert keine Dokumentation. Verwenden Sie stattdessen --excludedocs.

--promoteepoch
    aktiviert den veralteten Umgang mit Epoch-Definitionen in der RPM-3.x-Ära.

--prtpkts
    VERALTET! Wird dazu verwendet, Pakete auszugeben, welche die PGP-Schlüssel für Debugging-Zwecke darstellen.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.